PHP-Z

资讯

多个 Linux 发行版发布补丁修复高危的 Sudo 漏洞

2017-6-5 07:59 发布者: 大熊猫

Red Hat、Debian 和其他几个 Linux 发行版都已经发布了针对 Sudo 命令漏洞的补丁。该漏洞严重程度为高危,可能让本地攻击者获得 root 权限。

该漏洞内部被称为 CVE-2017-1000367,几天前由 Qualys 的安全研究人员报告。该漏洞是让攻击者运行 bash 命令来覆盖系统上存储的所有文件。此外,攻击者可以获得 root 权限来覆盖 root 拥有的内容。

当确定 tty 时,Sudo 没有正确解析 / proc / [pid] / stat 的内容,本地攻击者可能会使用此方法来覆盖文件系统上的任何文件,从而绕过预期权限或获取 root shell 。

该漏洞几乎影响了所有 Linux 系统,1.8.6p7 和 1.8.20 之间的所有 Sudo 版本都会受到影响。

Sudo 的创始人 Todd C. Miller 迅速发布了修补此漏洞的修补程序。Red Hat(Red Hat Enterprise Linux 6、Red Hat Enterprise Linux 7 和 Red Hat Enterprise Linux Server)、SUSE(所有版本)、Ubuntu 和 Debian (Wheezy、Jessie 和 Sid)也各自发布了紧急安全更新来解决这个漏洞。

编译自:opensourceforu.com

关注微信公众号

top100summit

扫一扫关注微信公众号

PHP-Z_COM